/*
 * This file is part of SEMP.
 *
 * SEMP is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SEMP is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with SEMP. If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2009, 2010, 2011, 2012 Alpen-Adria-Universitaet Klagenfurt, Markus Waltl.
 */

#ifndef ERROR_H
#define ERROR_H

#include "../stdafx.h"
#include <string>

#if __USEAMBX__
#include "../3rdParties/ambx/amBX_Types.h"
#endif

class amBXErrorHandler
{
#if __USEAMBX__
public:
	amBXErrorHandler();
	~amBXErrorHandler();
	static std::string GetErrorMessage(amBX_RESULT errorNumber);
#endif
};

#endif
